___itt_global Struct Reference

`#include <ittnotify_config.h>`

Collaboration diagram for ___itt_global:

## Public Attributes

unsigned char | magic [8]
unsigned long | version_major
unsigned long | version_minor
unsigned long | version_build
volatile long | api_initialized
volatile long | mutex_initialized
volatile long | atomic_counter
mutex_t | mutex
lib_t | lib
void * | error_handler
const char ** | dll_path_ptr
__itt_api_info * | api_list_ptr
struct ___itt_global * | next
__itt_thread_info * | thread_list
struct ___itt_domain * | domain_list
struct ___itt_string_handle * | string_list
__itt_collection_state | state
__itt_counter_info_t * | counter_list
unsigned int | ipt_collect_events

## Detailed Description

Definition at line 429 of file ittnotify_config.h.

## Member Data Documentation

## api_initialized

volatile long ___itt_global::api_initialized

Definition at line 435 of file ittnotify_config.h.

## api_list_ptr

__itt_api_info* ___itt_global::api_list_ptr

Definition at line 442 of file ittnotify_config.h.

## atomic_counter

volatile long ___itt_global::atomic_counter

Definition at line 437 of file ittnotify_config.h.

## counter_list

__itt_counter_info_t* ___itt_global::counter_list

Definition at line 449 of file ittnotify_config.h.

## dll_path_ptr

const char** ___itt_global::dll_path_ptr

Definition at line 441 of file ittnotify_config.h.

## domain_list

struct ___itt_domain* ___itt_global::domain_list

Definition at line 446 of file ittnotify_config.h.

## error_handler

void* ___itt_global::error_handler

Definition at line 440 of file ittnotify_config.h.

## ipt_collect_events

unsigned int ___itt_global::ipt_collect_events

Definition at line 450 of file ittnotify_config.h.

## lib

lib_t ___itt_global::lib

Definition at line 439 of file ittnotify_config.h.

## magic

unsigned char ___itt_global::magic[8]

Definition at line 431 of file ittnotify_config.h.

## mutex

mutex_t ___itt_global::mutex

Definition at line 438 of file ittnotify_config.h.

## mutex_initialized

volatile long ___itt_global::mutex_initialized

Definition at line 436 of file ittnotify_config.h.

## next

struct ___itt_global* ___itt_global::next

Definition at line 443 of file ittnotify_config.h.

## state

__itt_collection_state ___itt_global::state

Definition at line 448 of file ittnotify_config.h.

## string_list

struct ___itt_string_handle* ___itt_global::string_list

Definition at line 447 of file ittnotify_config.h.

## thread_list

__itt_thread_info* ___itt_global::thread_list

Definition at line 445 of file ittnotify_config.h.

## version_build

unsigned long ___itt_global::version_build

Definition at line 434 of file ittnotify_config.h.

## version_major

unsigned long ___itt_global::version_major

Definition at line 432 of file ittnotify_config.h.

## version_minor

unsigned long ___itt_global::version_minor

Definition at line 433 of file ittnotify_config.h.

The documentation for this struct was generated from the following file:

- ittnotify_config.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.